cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

AMA-CUCM Troubleshooting: Best Practices for Reading Trace Files

3519
Views
5
Helpful
31
Replies
Beginner

Hello Troy,Did you encounter

Hello Troy,

Did you encounter any issues with your 8.5 Unity Connection after the CUCM 10.5 upgrade?

Enthusiast

I have not.  We are still

I have not.  We are still running UCXN  8.5 and am scheduled to upgrade it during next months maintenance weekend.  I did mis-type the info above..I upgraded from CUCM 8.5 to 10.5.1.10000-7... I would advise against this version of 10.5  Very Buggy!  I have since upgrade to 10.5.1(SU1).  Only issue I have encountered with SU1 is the PLM License service shows not started related to BUG CSCur32516.  It's actually a cosmetic issue since production is not actually affected... but I had to disable the critical alert notification in RTMT so as not to get blasted with those emails.  10.5.1 (SU1a) fixes this.  I would go directly to this one or 10.5.2. 

Beginner

Thanks for the info.  I am

Thanks for the info.  I am planning to go to 10.5.2 anyway.  Glad to hear that UCXN 8.5 plays nice, so I don't have to rush to do that during the same window.

 

What made you attempt the direct upgrade from 8.5 to 10.5?  All the release notes I've read indicate that 8.6 is the oldest version that supports direct upgrade to 10.5.  I would love to do a direct, and I will try it in a lab first, but I did not think it was an option.

Enthusiast

I showed it was supported and

I showed it was supported and checked with TAC... the main thing was that you want to be sure that your current system was configured with the correct OVF template to begin with else you risk the chance of getting the unaligned partition error as I did.. however our OVF was correct to begin with but as mentioned earlier in the post, a few things different on my end may or may not have caused the error. I never really received confirmation from TAC on that.  Just make sure you have your .cop files installed on all nodes prior to upgrading the PUB. 

Good Luck! Let me know how it goes. 

Beginner

Hi guys, I'm playing also

Hi guys,

 

I'm playing also with upgrades coming from CUCM with the following path Customer Hw. 7.1.3 > 7.1.5 > Backup > 7.1.5 VM on ESXi 5.5 Lab > Restore DB > 8.5.1 SU7 > 10.5.2 SR1 (supported path like described in matrix an Cisco Live presentations)

 

The 7.1.5 VM in the lab has been build on a 8.5 ova, as it does not work with greater versions.

At the end, on V10.5.2 SR1, I was running into the partition allignment error.

After reading your post, I've seen that the 8.5 ova does NOT contain two disks as explained by many guys.

 

I will create a second 110 Gb Disk and will try it again.  I suppose that in may case anyway, if I make a backup in my lab, even with the allignment error, it will go away when I restore the DB on a 10.5 ova on customer hosts.

Enthusiast

Hello,The 8.5 OVA that you

Hello,

The 8.5 OVA that you are referencing, what is it's user size?  I know that the 8.5 OVA template for a 7500 user CUCM  node does in fact utilize two 80 GB drives.  You cannot simply just create another drive in the hope to mimic the correct OVA, it will cause you to still receive the unaligned partitions message.

Hope this helps

Tony

Please rate helpful posts

Please rate helpful posts
Thanks,
Tony
Participant

hi Gents,

hi Gents,

I see this thread is quite old however appreciate if anyone could help me with below questions:

1) My customer have CUCM version 8.5.1.12900-7 & we are planning to upgrade it to 10.5, what are the active contracts my customer should have for this upgrade (i.e. how can we get the ISO files) & how to get Licenses for newer version

2) Customer also have CUP server 8.6.4.10000-28 which is to be upgraded to 10.5 as well, based on experiences any best practices or suggestions.

Appreciate your response.

Regards,

Anil Sharma.

Advisor

Hi Anil,

Hi Anil,

Your customer needs to have UCSS and ESW contract [Now , SWSS] so that they can place the order  through PUT[Product Upgrade Tool]

ISO files[major upgrade s/w] u can download from cisco site as well but to have permanent licenses , u need to place order through PUT.

For licenses, download LCU from cisco site and run on PC , from where Call Manager Publisher is reachable.to get the licenses count as per UCL/CUWL.

regds,

aman

Participant

hi Aman,

hi Aman,

Thanks for your response.

When checking on Cisco.com to download non-bootable 10.5 iso image. it says file is:  

"For upgrades from 10x only. Upgrades from 9.x or earlier versions must be requested via PUT (www.cisco.com/upgrade) or purchased to obtain the necessary licenses"

So, it means even ISO files are available from PUT. Is this correct ?

Regards,

Anil Sharma.

Advisor

Hi,

Hi,

I checked on earlier orders but I did not get option to download patches [iso].

You get the option of desired version [to be upgraded, for Bootable] on e-delivery when ordered through PUT.

So, u need to download from Cisco site.

regds,

aman

Beginner

Troy,I completed my upgrades

Troy,

I completed my upgrades this weekend successfully.  Your notes and advice were very helpful.  It was a very long weekend, but we accomplished:

 

CUCM 8.5.1SU3 --> 10.5.2

CUC  8.5.1SU3 --> 10.5.2

UCCX  8.5.1SU4 -->  10.5.1SU1

CER 9.0.2 --> 10.5.1a

 

All upgrades were direct refresh upgrades, and all went smoothing without incident, with the exception of CUC.  Our plan was to not automatically switch-version after the install, but the GUI did not offer the option.  This did not bother me at the time, because it was similar to UCCX which did not offer the option but defaulted to "Do not automatically switch."  However, CUC finished the upgrade and booted straight into 10.5, prompting me to need to rush to get the subscriber upgraded.  In the end it worked out, but TAC could not explain the missing option, saying only that the CLI does ask for your preference.

I did also encounter the CRS script problem you had with XML docs and have removed the objects from my scripts for the moment.  How did you change your scripts to resolve this problem?
 

Enthusiast

Hi Chris,How old is the

Hi Chris,

How old is the script that references the XML?  I have plenty of scripts in my UCCX environment that reference XML files that worked fine after upgrading but I went from UCCX 9.0.2 to 10.6 to take advantage of the mixed mode setup between CAD and Finesse.

Hope this helps

Tony

Please rate helpful posts

Please rate helpful posts
Thanks,
Tony
Beginner

They were written for ver 8.5

They were written for ver 8.5.1 about a year ago,  but it is possible that I referenced documentation from an older version when I wrote them.

Enthusiast

You could always remove the

You could always remove the current XML files from UCCX if there is a compatibility issue with them and then recreate and upload back to UCCX to see if that resolves the issue.  That's at least where I would start.

Hope this helps

Tony

Please rate helpful posts

Please rate helpful posts
Thanks,
Tony
Highlighted
Beginner

My investigations were that I

My investigations were that I could not find anywhere that specifically stated direct upgrade from 8.5 to 10.x was supported for CUCM, and the PDI helpdesk advised to go to 8.6 first. I did find a Unity Connection document that said it was a supported upgrade path so as I thought that was less risky, I attempted the upgrade for Unity Connection direct 8.5.1 to 10.5.2 SU1 and that worked fine, no issues since. I didnt have the guts to do the direct CUCM upgrade so went 8.5 to 8.6 then upgraded to 10.5.2 SU1 after. All fine no issues apart from the time it took 7 hours for 3 server cluster to 8.6 then another 7 hours up  to 10.5, then I had to upgrade the CUPS after that, a very long weekend!!!

CreatePlease to create content
Content for Community-Ad
August's Community Spotlight Awards